{% load static %}

.page-tlt{
    background-image: url("../images/background/4k-inventorybackground.jpg");
}
.button-content{
    display: inline-block;
    justify-content: center;
    
    margin: 0 0 50px 0;
}
.add-tab{
    display: inline-block;
    
    margin-left: 12px;
    padding-left: 15px;
    
    border-left: 3px solid #383838;
}
.sort-tab{
    display: inline-block;
    
    padding: calc(15px + 0.1vw);
    
    background-color: #2b2b2b;
    border: 1px solid black;
    box-shadow: 2px 2px 3px black;

    overflow-y: hidden;
    overflow-x: hidden;
    white-space: nowrap;
    
    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);
}
.bannerbutton, .tabbutton, .tab-header{
    margin: 0;
    padding: 7px 10px 7px 10px;
    
    font-size: calc(12px + 1.2vw);
    transform: none;
    
    border: 1px solid black;
    box-shadow: none;
}
.tab-header{
    background: transparent;
    border: 0;
}
.bannerbutton:hover, .tabbutton:hover{
    transform: scale(1.05);
}
.bannerbutton:first-child{
    margin: 0 5px 0 0;
}
.bannerbutton:last-child{
    margin: 0 0 0 5px;
}
.tabbutton{
    background-color: #404040;
}
#sort-item{
    background-color: #ff1814;
}
.tab-header{
    cursor: default;
}
.tab-header:hover{
    transform: none;
}
.divide-content{
    display: flex;
    flex-direction: column;
    
    max-height: 0;
    background-color: #707070;
    background-image: url("../images/always-grey.png");
    box-shadow: inset 0 0 20px black;

    overflow: hidden;
}
.divide-content-show{
    max-height: 540000px;
}
.divide-content form{
    margin: 50px 0 50px 0;
}
.divide-content h1{
    font-size: calc(40px + 2vw);
    margin: 0 0 20px 0;
    
    transform: skew(-10deg);
}
.divide-content .label-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    
    position: absolute;
    z-index: 99;
    
    width: 100%;
    height: 100%;
    
    border: 1px solid black;
    background-color: #ce1818;
    transition: 0.2s;
}
.divide-content .label-shrink, .divide-content .label-wrapper-file{
    width: 30%;
    background-color: #ce1818;
}
.divide-content label{
    font-family: "Fira Sans";
    font-size: calc(8px + 2vw);
    -webkit-text-stoke: 2px black;
    text-align: center;
    cursor: pointer;
    
    white-space: nowrap;
    overflow: hidden;
    text-shadow:
       2px 2px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
}
.divide-content .addLocation-section .divide-line{
    display: flex;
    width: 100%;
    align-items: center;
}
.divide-content input, .divide-content select, .search-bar input{
    padding: 8px 8px 8px 10px;
    width: 100%;
    
    border: 1px solid black;
    background-color: #e2e2e2;
    color: black;
    font-size: calc(12px + 0.7vw);
    font-family: "Montserrat", sans-serif;

    transition: 0.3s;
    appearance: none;
	-moz-appearance: none;
	-webkit-appearance: none;
}
.divide-line input{
    position: relative;
}
.addLocation-section input, .addLocation-section select{
    background-color: #f22724;
}
.divide-content input:focus, .divide-content select:focus{
    outline: none;
    background-color: #e2e2e2;
    color: black;
}
.divide-content input::placeholder{
    color: black;
}
.divide-content .divide-line{
    display: flex;
    position: relative;
    justify-content: flex-end;
    align-items: center;
    width: 50%;
    
    padding: 5px 0 5px 0;
    margin: 5px auto 5px auto;
}
.divide-content .minor label{
    font-size: calc(20px + 0.8vw);
}
.divide-content .addLocation-section{
    display: inline-block;
    margin: 30px 0 30px 0;
    padding: 30px 40px 25px 40px;
    
    background-color: #b71d1d;
    border: 1px solid black;
    border-radius: 4px;
}
.divide-content .wide-button{
    display: block;
    margin: 35px 0 10px 0;
    padding: 10px;
    
    background-color: #ff211e;
    border: 1px solid black;
    font-size: calc(10px + 1vw);
    
    transform: none;
    transition: 0.1s ease-in;
    user-select: none;
    cursor: pointer;
}
.addLocation-section .wide-button:hover{
    background-color: #e51d1b;
}
.addLocation-section .wide-button:active{
    margin: 40px auto 15px auto;
    box-shadow: 0 0 0 black;
}
.addLocation-sectioninput input[type=submit]:active{
    margin: 25px auto 10px auto;
}
.addLocation-section input[type=submit]{
    display: flex;
    margin: 20px auto 15px auto;
    
    box-shadow: 0 3px 10px black;
    font-family: "Sunflower", sans-serif;
    
    -webkit-text-stoke: 1px black;
    text-shadow:
       3px 3px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
}
.addLocation-section h1{
    font-size: calc(8px + 2vw);
    margin: auto 10px;
    white-space: nowrap;
}
.addLocation-section select, .addLocation-section input{
    margin: 0 0 0 10px;
}
.body-content{
    display: flex;
    flex-direction: column;
    position: static;
}
.search-bar{
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    margin: 20px 0 0 0;
}
.search-bar h1{
    padding: 10px;
    width: 50px;
    
    border-radius: 5px;
    color: #707070;
    
    text-shadow:
       1px 1px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
    
    font-size: calc(12px + 0.75vw);
    font-family: "Montserrat";
}
.search-bar input{
    margin: 0px;
    width: calc(100% - 50px);
    font-size: calc(10px + 0.7vw);
    background-color: #505050;
}
.search-bar input:focus{
    outline: none;
    background-color: #e2e2e2;
}
.search-bar input:focus ~ .search-bar h1{
    color: #e2e2e2;
}
.search-bar input::placeholder{
    color: #adadad;
}
.item-table, .location-table{
    width: 80%;
    margin: 0 auto 50px auto;
    box-shadow: 2px 2px 3px black;
}
.item-table table td, .location-table table td{
    font-size: 1.4rem;
}
.bottom-margin-expand{
    margin-bottom: 50px;
}
.null-table{
    display: none;
}
.item-table-null, .location-table-null, .table-noresults{
    display: block;
    padding: 10px;
    
    border: 1px solid black;
    background-color: #918d96;
    font-size: calc(10px + 1.1vw);;
}
.null-remove{
    display: none;
}
.end-button-row{
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.end-button-row input{
    box-sizing: border-box;
    
    width: 60%;
    padding: 10px;
    margin: 10px;
    
    border-radius: 4px;
    
    font-family: "Fira Sans", sans-serif;
    font-size: calc(10px + 1vw);
    
    cursor: pointer;
    
    color: white;
    background-color: #c61613;
    -webkit-text-stoke: 1px black;
    text-shadow:
       3px 3px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
       
    appearance: none;
	-moz-appearance: none;
	-webkit-appearance: none;
}
.end-button-row input:focus{
    color: white;
    background-color: #e51d1b;
}
.end-button-row input:active{
    color: white;
    margin: 15px 0 5px 0;
    box-shadow: none;
}
#btn-addItem-alt, #btn-addLocation-alt, #btn-addExcel-alt{
    display: none;
}
@media only screen and (max-width: 1060px){
    .tab-header{
        display: none;
    }
}
@media only screen and (max-width: 910px){
    .body-content{
        padding-bottom: 100px;
    }
    .page-tlt{
        margin: 0 0 calc(70px - 1.5vw) 0;
    }
    .page-tlt h1{
        width: 100%;
        margin-right: 0;
        text-align: center;
    }
    .button-content{
        display: block;
        width: 100%;
        margin-bottom: 20px;
    }
    .sort-tab{
        width: 100%;
        margin: 0;
        padding: 0;
        transform: none;
        
        box-shadow: none;
        background: transparent;
        
        font-size: 1.2rem;
    }
    .item-table, .location-table{
        width: 100%;
        margin: 0;
        overflow-x: scroll;
    }
    .search-bar input{
        width: calc(90% - 50px);
    }
    #btn-addItem-alt, #btn-addLocation-alt, #btn-addExcel-alt{
        display: inline-block;
    }
    #btn-addItem, #btn-addLocation, #btn-addExcel{
        display: none;
    }
    .divide-content .major input{
        font-size: calc(15px + 0.7vw);
    }
    .divide-content .divide-line, .divide-content .end-button-row input, .divide-content .addLocation-section{
        width: 80%;
    }
}
@media only screen and (max-width: 400px){
    
}